# Publishes a hugo repo as GitLab pages. The job name must be pages for it to work.

pages:
  image: registry.gitlab.com/notno/hugo
#  before_script:  # Add a before script to add an external theme, like this example
#    - git clone https://github.com/matcornic/hugo-theme-learn.git themes/hugo-theme-learn
  script:
    - hugo --minify
    - /minify.sh .
    - gzip -kr public
  artifacts:
    paths:
      - public
  rules:
    - if: $CI_COMMIT_BRANCH == $CI_DEFAULT_BRANCH
